All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.iquery.metadata.business
Interface DataSelection

All Superinterfaces:
  Base, BusinessModel, BusinessModelResource, BusinessModelResourceReferencer, BusinessQuery, java.util.EventListener, com.sas.iquery.intelligentquery.IntelligentQueryInterface, Model, NamedObjectInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, UsabilityInterface

    public interface DataSelection

extends BusinessModel, BusinessQuery

Specifies an object that is a business model and that provides the specification of a business query.

     Sample code to run a query after a DataSelection has been created
     based upon an InformationMap

     // a few imports
     import com.sas.iquery.intelligentquery.QueryConnectionInterface;
     import com.sas.iquery.dataretrieval.QueryConnector;
     import com.sas.iquery.execution2.ResultSetInterface
     import com.sas.iquery.metadata.business.DataSelectionFactory
     import com.sas.iquery.metadata.business.DataSelection

     // Create the data selection object based upon another business model (info map)
     InformationMap infoMap = ... // assuming already available in this code snippet
     DataSelection dataSelection = DataSelectionFactory.newDataSelection(infoMap);

     // Add the maps data items to the list result item list in the data selection
     List dataItems = infoMap.getObjects(false, DataItem.class);
     dataSelection.addResultItems(dataItems, Role.COLUMN);

     // Create the query connector
     QueryConnectionInterface  queryConnector = new QueryConnector();
     java.util.List  selections = new java.util.ArrayList();   // pass in the selections as a list
     selections.add( dataSelection );

     java.util.Map results = queryConnector.retrieveQueryResultMap( selections );   // get a map of the results

     // Get ResultSet we're interested in
     ResultSetInterface resultset = (ResultSetInterface)results.get( dataSelection.getID( ) );

Field Summary

Fields inherited from interface com.sas.iquery.metadata.business.BusinessModel
`EVENT_BUSINESS_ITEMS_CHANGED, EVENT_BUSINESS_RULES_CHANGED, EVENT_CHILD_ADDED, EVENT_CHILD_REMOVED, EVENT_DATA_SOURCES_CHANGED, GETOBJECTS_DEFAULT_SEARCH_CRITERIA, GETOBJECTS_INCLUDE_BASE_MODELS, GETOBJECTS_INCLUDE_HIDDEN, INVALID_ID_CHARS, SEARCH_NONRECURSIVELY, SEARCH_THRU_ALL, SEARCH_THRU_PROMPTS, SEARCH_THRU_SUBDATAITEMS, SEARCH_THRU_SUBFILTERS`

Fields inherited from interface com.sas.iquery.metadata.business.Model
`EVENT_DESCRIPTION_CHANGED, EVENT_ID_CHANGED, EVENT_LABEL_CHANGED, INTERMODEL_ID_DELIMITER`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.BusinessQuery
`ALLTOTAL, AXISTOTAL, EVENT_COALESCED_CHANGED, EVENT_EMPTY_DATA_FORMAT_CHANGED, EVENT_FILTERS_CHANGED, EVENT_QUERY_DEFINITION_CHANGED, EVENT_QUERY_PROPERTY_CHANGED, EVENT_REFERENCED_OBJECT_CHANGED, EVENT_RESULT_ITEM_LIST_CHANGED, EVENT_RESULT_ITEM_ROLE_CHANGED, EVENT_SOLVE_ORDER_CHANGED, EVENT_SORT_CRITERIA_CHANGED, EVENT_SORT_DIRECTION_CHANGED, EVENT_SORT_ORDER_CHANGED, EVENT_STEPS_CHANGED, EVENT_SUPPORTED_ACTION_CHANGED, EVENT_TOTAL_CHANGED, EVENT_TOTAL_LABEL_CHANGED, EVENT_TOTAL_LOCATION_CHANGED, EVENT_TOTAL_MODE_CHANGED, GRANDTOTAL, SUBTOTAL, TOTAL_NONE, WRITERESULT_MODEL_ELEMENT, WRITERESULT_REFERENCED_INFOMAPS`

Method Summary

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModel
`addBusinessItem, addBusinessItem, contains, contains, generateIntraModelID, getBaseModel, getBusinessItemByID, getBusinessItemsNotInMapFolders, getChildren, getComputationalLocale, getDataLocale, getDescendents, getFamilyStateDebugString, getGroupsContaining, getMapFolderContaining, getMetadataService, getObjects, getObjects, getParentBusinessModel, getResources, getRootMapFolder, getServerProperties, getSession, getStructure, getUnresolvedResources, isIntraModelIDInUse, isLegalID, isReadOnly, isValidLabel, newBusinessGroup, newCompoundFilter, newDataItem, newDataItemReference, newDrillThroughToDetail, newFilterCascadeRule, newFilterItem, newPrompt, removeBusinessItem, removeChild, setBusinessItems, setComputationalLocale, setReadOnly, toXML, write`

Methods inherited from interface com.sas.iquery.metadata.business.Model
`computeModelVersion, dispose, getDescription, getID, getLabel, getLastPersistedModelVersion, hasBeenDispose, setDescription, setID, setLabel`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResource
`isUnresolved`

Methods inherited from interface com.sas.iquery.metadata.NamedObjectInterface
`getDescription, getLabel`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessQuery
`addResultItem, addResultItems, addStep, getBusinessModel, getCascadeRuleSet, getEffectiveGroups, getEffectiveGroupsByType, getEffectiveGroupsContaining, getEffectiveGroupsContaining, getEmptyDataFormat, getEntity, getFilters, getGroups, getInputStructure, getParentQuery, getPromptValues, getQueryProperty, getReasonsNotValid, getResultItemRole, getResultItems, getResultItems, getResultSetIndex, getSortCriteria, getSortDirection, getSortOrderPrecedence, getStep, getSteps, getTotalingType, getTotalLabel, getTotalLocation, getTotalMode, getTotalType, getValidActions, insertResultItemsAt, isActionSupported, isValid, removeResultItem, removeResultItems, removeStep, setActionSupported, setEmptyDataFormat, setFilters, setGroups, setQueryProperty, setResultItemRole, setResultItems, setSelectedItems, setSortCriteria, setSortDirection, setSortOrderPrecedence, setSteps, setTotalingType, setTotalLabel, setTotalLocation, setTotalMode, setTotalType, write`

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.